Package ru.bgcrm.dao

# Class EntityLogDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.EntityLogDAO

Direct Known Subclasses:
  `CustomerLogDAO`, `ProcessLogDAO`

public class EntityLogDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EntityLogDAO(Connection con, String table)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteHistory(int id)`
  `List<EntityLogItem>`
  `getHistory(int id)`
  `void`
  `insertEntityLog(int id, int userId, String text)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EntityLogDAO

    protected EntityLogDAO(Connection con, String table)

- ## Method Details

  - ### insertEntityLog

    public void insertEntityLog(int id, int userId, String text) throws SQLException
    Throws:
      `SQLException`

  - ### getHistory

    public List<EntityLogItem> getHistory(int id) throws SQLException
    Throws:
      `SQLException`

  - ### deleteHistory

    public void deleteHistory(int id) throws SQLException
    Throws:
      `SQLException`